﻿Imports GalaSoft.MvvmLight
Imports System.Collections
Imports System.ComponentModel
Imports System.IO
Imports GalaSoft.MvvmLight.Command

Public Class MainModel : Inherits ViewModelBase(Of MainModel)

   Private _DataFile As New FileInfo("Data1.sdf")

   Public Property ReLoad As New RelayCommand( _
         Sub()
            If Context IsNot Nothing Then Context.Dispose()
            Context = New DataClasses1DataContext("Data Source=" & _DataFile.FullName)
            Context.Log = Console.Out
            If Not _DataFile.Exists Then Context.CreateDatabase()
            Class1es = New ListCollectionView(Context.Class1s.GetList)
            RaisePropertyChanged("Context")
            RaisePropertyChanged("Class1es")
         End Sub)

   Public Property Save As New RelayCommand( _
         Sub()
            Context.SubmitChanges()
            System.Media.SystemSounds.Asterisk.Play()
         End Sub)

   Public Property AddClass1 As New RelayCommand( _
         Sub()
            Dim kd = New Class1 With {.Property1 = "dummi"}
            Context.Class1s.GetList.Add(kd)
            Class1es.Refresh()
         End Sub)

   Public Property Class1es As New ListCollectionView({New Class1 With {.Property1 = "dummi"}})

   Public Sub New()
      If IsProvisional Then Return
      ReLoad.Execute(Nothing)
   End Sub

   Public Property Context As DataClasses1DataContext

End Class
